Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfContentParser

    java.lang.Object
      com.lowagie.text.pdf.PdfContentParser

    public class PdfContentParser

extends Object

Parses the page or template content.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`static int` | `COMMAND_TYPE` Commands have this type.
`private PRTokeniser` | `tokeniser` Holds value of property tokeniser.

Constructor Summary
`PdfContentParser(PRTokeniser tokeniser)` Creates a new instance of PdfContentParser

Method Summary
`PRTokeniser` | `getTokeniser()` Gets the tokeniser.
`boolean` | `nextValidToken()` Reads the next token skipping over the comments.
`ArrayList` | `parse(ArrayList ls)` Parses a single command from the content.
`PdfArray` | `readArray()` Reads an array.
`PdfDictionary` | `readDictionary()` Reads a dictionary.
`PdfObject` | `readPRObject()` Reads a pdf object.
`void` | `setTokeniser(PRTokeniser tokeniser)` Sets the tokeniser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_TYPE

    public static final int COMMAND_TYPE

  Commands have this type.

  See Also:
    Constant Field Values

### tokeniser

    private PRTokeniser tokeniser

  Holds value of property tokeniser.

Constructor Detail

### PdfContentParser

    public PdfContentParser(PRTokeniser tokeniser)

  Creates a new instance of PdfContentParser

  Parameters:
    `tokeniser` - the tokeniser with the content

Method Detail

### parse

    public ArrayList parse(ArrayList ls)
                    throws IOException

  Parses a single command from the content. Each command is output as an array of arguments having the command itself as the last element. The returned array will be empty if the end of content was reached.

  Parameters:
    `ls` - an `ArrayList` to use. It will be cleared before using. If it's `null` will create a new `ArrayList`
  Returns:
    the same `ArrayList` given as argument or a new one
  Throws:
    `IOException` - on error

### getTokeniser

    public PRTokeniser getTokeniser()

  Gets the tokeniser.

  Returns:
    the tokeniser.

### setTokeniser

    public void setTokeniser(PRTokeniser tokeniser)

  Sets the tokeniser.

  Parameters:
    `tokeniser` - the tokeniser

### readDictionary

    public PdfDictionary readDictionary()
                                 throws IOException

  Reads a dictionary. The tokeniser must be positioned past the "<<" token.

  Returns:
    the dictionary
  Throws:
    `IOException` - on error

### readArray

    public PdfArray readArray()
                       throws IOException

  Reads an array. The tokeniser must be positioned past the "[" token.

  Returns:
    an array
  Throws:
    `IOException` - on error

### readPRObject

    public PdfObject readPRObject()
                           throws IOException

  Reads a pdf object.

  Returns:
    the pdf object
  Throws:
    `IOException` - on error

### nextValidToken

    public boolean nextValidToken()
                           throws IOException

  Reads the next token skipping over the comments.

  Returns:
    `true` if a token was read, `false` if the end of content was reached
  Throws:
    `IOException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD